import { findUserModulePaths } from './findUserModulePaths.js';
import { userImportsLazyTemplate } from './userImportsLazyTemplate.js';
import { userImportsTemplate } from './userImportsTemplate.js';
export function generateUserImports({ cosmosConfig, rendererConfig, relativeToDir, typeScript, }) {
    const { rootDir, fixturesDir, fixtureFileSuffix, globalImports, ignore } = cosmosConfig;
    const { fixturePaths, decoratorPaths } = findUserModulePaths({
        rootDir,
        fixturesDir,
        fixtureFileSuffix,
        ignore,
    });
    const template = cosmosConfig.lazy
        ? userImportsLazyTemplate
        : userImportsTemplate;
    return template({
        globalImports,
        fixturePaths,
        decoratorPaths,
        rendererConfig,
        rootDir,
        relativeToDir,
        typeScript,
    });
}
